n = int(input())
lista = list()
for i in range(n):
    id = int(input())
    lista.append(id)

pairs = 0
for i in range(n):
    id = lista[i]
    for j in range(i + 1, n):
        if lista[j] == id:
            pairs += 1
print (pairs)
